%global         git_commit fae62fc
Name:           kio_mtp
Version:        0.70
Release:        2.20121225git%{git_commit}%{?dist}
Summary:        An MTP KIO slave for KDE

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://projects.kde.org/projects/playground/base/kio-mtp
# Package from git snapshots, create example:
# git clone git://anongit.kde.org/kio-mtp.git
# cd kio-mtp
# git archive --prefix=kio_mtp-%{version}/ master | gzip > ../%{name}-%{version}-git%{git_commit}.tar.gz
Source0:        %{name}-%{version}-git%{git_commit}.tar.gz

BuildRequires:  kdelibs4-devel
BuildRequires:  libmtp-devel

%description
Provides KIO Access to MTP devices using the mtp:/// protocol.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}


%files
%defattr(-,root,root,-)
%doc README LICENCE
%{_kde4_libdir}/kde4/kio_mtp.so
%{_kde4_datadir}/kde4/services/mtp.protocol
%{_kde4_datadir}/kde4/apps/konqueror/dirtree/remote/mtp-network.desktop
%{_kde4_datadir}/kde4/apps/solid/actions/solid_mtp.desktop
%{_kde4_datadir}/kde4/apps/remoteview/mtp-network.desktop


%changelog
* Tue Dec 25 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121225gitfae62fc
- Add LICENCE file
- Remove %%clean
- Change name

* Fri Dec 21 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121221gitccaa6d1
- Initial package
- Based on git snapshot ccaa6d1da2d6c04134dd35fbdd6bbf5dd0b86572
